
using CovidAlertVaccinationModel
using CovidAlertVaccinationModel:ModelSolution,AgentDemographic,mean,AgentStatus,get_u_0,get_parameters,solve!, DebugRecorder
using Random
using Plots
using ThreadsX
using OnlineStats
const model_sizes = [1000,5000]
 const dem_cat = AgentDemographic.size -1
 const samples = 10

#WRITE MORE TESTS

@testset "mixing matrices, size: $sz" for sz in model_sizes
    for rep = 1:samples
        m = ModelSolution(100,get_parameters(),sz)
        ws_dist = m.ws_matrix_tuple
        r_dist = m.rest_matrix_tuple 
        index_vec =m.index_vectors
        @testset "workschool" for i in dem_cat, j in dem_cat
            for t in 1:length(ws_dist)
                @test mean(ws_dist[t][i,j])*length(index_vec[i]) == mean(ws_dist[t][j,i])*length(index_vec[j])
            end
        end
        @testset "rest" for i in dem_cat, j in dem_cat
            for t in 1:length(ws_dist)
                @test mean(r_dist[t][i,j])*length(index_vec[i]) == mean(r_dist[t][j,i])*length(index_vec[j])
            end
        end
    end
end



