using CovidAlertVaccinationModel
using OnlineStats
using Plots
const samples = 1
function solve_and_plot_parameters()
    p =  CovidAlertVaccinationModel.get_parameters()
    out = mean_solve(samples, p,DebugRecorder)
    p = plot_model(nothing,[nothing],[out],p.infection_introduction_day,p.immunization_begin_day)
    savefig(p,"timeseries.pdf")
    return out
end

out = solve_and_plot_parameters()
println(sum.(eachrow(mean.(out.daily_immunized_by_age))))


final_size = sum.(eachrow(mean.(out.daily_cases_by_age)))
display(final_size)